var express = require( 'express' );
var router = express.Router();
var dbproxy = require('../controllers/dbproxy');
var mocker = require('../mock');

router.all(/^\/dbproxy\//, dbproxy.before);
router.post('/dbproxy/testConnection', dbproxy.testConnection);
router.post('/dbproxy/testSql', dbproxy.testSQL);
router.post('/dbproxy/getTableNames', dbproxy.getTableNames);
router.post('/dbproxy/getTableColumns', dbproxy.getTableColumns);

router.post('/mockSystemStart', mocker.mockSystemStart);
module.exports = router;